#ifndef MARS_MEnergyEstimate
#define MARS_MEnergyEstimate

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MMcEvt;
class MHillas;
class MEnergyEst;

class MEnergyEstimate : public MTask
{
private:
    MMcEvt     *fMcEvt;
    MHillas    *fHillas;
    MEnergyEst *fEnergy;

public:
    MEnergyEstimate(const char *name=NULL, const char *title=NULL);

    Bool_t PreProcess(MParList *plist);
    Bool_t Process();

    ClassDef(MEnergyEstimate, 0) // Task to estimate the energy
};

#endif

